Name:           mypaint
Version:        1.2.1
Release:        %mkrel 1
Summary:        Paint program for use with graphics tablets
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://mypaint.org
Source0:        https://github.com/mypaint/mypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:         mypaint-1.2.1-mga-libdir.patch

BuildRequires:  gettext
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(python2)
BuildRequires:  python-numpy-devel
BuildRequires:  scons
BuildRequires:  swig
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:  pkgconfig(gobject-introspection-1.0)

Requires:       python-numpy
Requires:       python-gi-cairo

%description
MyPaint is a pressure- and tilt-sensitive painting program which works
well with Wacom graphics tablets and other similar devices. It comes
with a large brush collection including charcoal and ink to emulate
real media, but the highly configurable brush engine allows you to
experiment with your own brushes and with not-quite-natural painting.

%prep
%setup -q
%autopatch -p1

sed -i -e 's/@LIB@/%{_lib}/g' SConscript mypaint.py

%build
%setup_compile_flags
%scons

%install
scons prefix=%{buildroot}%{_prefix} install

%find_lang %{name} --all-name

rm -rf %{buildroot}%{_prefix}/lib/{pkgconfig,*.a}
rm -rf %{buildroot}%{_includedir}

# ensure .so files are executable (0755) for proper -debuginfo extraction
chmod 755 %{buildroot}%{_libdir}/mypaint/_mypaintlib.so

%files -f %{name}.lang
%doc Changelog.md Licenses.md README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-ora-thumbnailer
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/lib%{name}/
%{_datadir}/thumbnailers/%{name}-ora.thumbnailer
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/actions/%{name}-*.*
%{_libdir}/%{name}/_mypaintlib.so


%changelog
* Mon Jan 23 2017 akien <akien> 1.2.1-1.mga6
+ Revision: 1083095
- Version 1.2.1

* Fri Sep 09 2016 akien <akien> 1.2.0-2.mga6
+ Revision: 1051075
- Add missing python-gi-cairo and python-numpy dependencies (mga#18298)
- Do not exclude typelib() autoreqs (was a mistakenly pushed test)

* Fri Apr 15 2016 akien <akien> 1.2.0-1.mga6
+ Revision: 1002765
- Version 1.2.0 (+ big spec cleanup)

* Fri Feb 05 2016 umeabot <umeabot> 1.1.0-9.mga6
+ Revision: 937381
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 1.1.0-8.mga6
+ Revision: 893635
- fix empty debugfiles (permissions of libraries must be 0755 instead of 0644)

* Mon Nov 17 2014 wally <wally> 1.1.0-7.mga5
+ Revision: 797714
- add more fixes for deprecated icons

* Mon Nov 17 2014 wally <wally> 1.1.0-6.mga5
+ Revision: 797706
- add patch from Fedora to fix startup after usrmove (mga#10807)
- fix usage of deprecated gtk stock icons

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 747356
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 682721
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 526229
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.1.0-2.mga4
+ Revision: 436243
- final path
- use prefix
- install into lib64
- as needed only
- real ldflags
- add link
- update file list
- use compile flag
- br json-c
- rebuild for new libpng

  + dams <dams>
    - add 'lcms2-devel' as BR
    - new version 1.1.0

  + dmorgan <dmorgan>
    - Add P0: Find json

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 360574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Dec 04 2012 malo <malo> 1.0.0-2.mga3
+ Revision: 326309
- update RPM group

* Mon Nov 28 2011 dams <dams> 1.0.0-1.mga2
+ Revision: 173755
- new version 1.0.0
- update and clean specfile
- now source is tar.xz

* Mon Sep 19 2011 fwang <fwang> 0.9.1-2.mga2
+ Revision: 145348
- rebuild for new libpng

* Wed Jul 06 2011 dams <dams> 0.9.1-1.mga2
+ Revision: 119446
- Update to 0.9.1

* Sun Apr 17 2011 ennael <ennael> 0.9.0-1.mga1
+ Revision: 86939
- clean spec file
- imported package mypaint

